Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## threeD.raytracer.primitives
Class CSGSurface

    java.lang.Object
      threeD.raytracer.engine.AbstractSurface
          threeD.raytracer.primitives.CSGSurface

All Implemented Interfaces:
  Surface

public class CSGSurface
extends AbstractSurface

Constructor Summary
`CSGSurface()`

Method Summary
`Vector` | `getNormalAt(Vector point)` Returns a Vector object that represents the vector normal to the 3d surface at the point represented by the specified Vector object.
`boolean` | `intersect(Ray ray)` Returns true if the ray intersects the 3d surface in real space.
`Intersection` | `intersectAt(Ray ray)` Returns an Intersection object that represents the values for t that solve the vector equation p = o + t * d where p is a point of intersection of the specified ray and the surface.

Methods inherited from class threeD.raytracer.engine.AbstractSurface
`addShader, addTexture, addTransform, calculateTransform, getColor, getColorAt, getLocation, getParent, getRotationCoefficients, getScaleCoefficients, getShadeBack, getShadeFront, getShader, getShaders, getShaderSet, getSize, getTexture, getTextures, getTextureSet, getTransform, getTransform, getTransforms, removeShader, removeTexture, removeTransform, setColor, setLocation, setParent, setRotationCoefficients, setScaleCoefficients, setShadeBack, setShadeFront, setShader, setShaders, setSize, setTexture, setTextures, setTransform, setTransforms, shade`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CSGSurface

    public CSGSurface()

Method Detail

### getNormalAt

    public Vector getNormalAt(Vector point)

  Description copied from interface: `Surface`
  Returns a Vector object that represents the vector normal to the 3d surface at the point represented by the specified Vector object.

### intersect

    public boolean intersect(Ray ray)

  Description copied from interface: `Surface`
  Returns true if the ray intersects the 3d surface in real space.

### intersectAt

    public Intersection intersectAt(Ray ray)

  Description copied from interface: `Surface`
  Returns an Intersection object that represents the values for t that solve the vector equation p = o + t * d where p is a point of intersection of the specified ray and the surface.

Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2003-05 Mike Murray